# Swaps

<table><thead><tr><th>Provider</th><th>Description</th><th>Supported Chains</th><th data-hidden></th></tr></thead><tbody><tr><td>UniswapClassic</td><td>The widely adopted Uniswap v2/v3/v4 architecture accessed through the Universal Router. It provides deterministic, on-chain execution with deep liquidity across many ecosystems</td><td>Ethereum Mainnet, BNB Smart Chain, Polygon, zkSync, Base, Arbitrum, Celo, Avalanche, Worldchain, etc.<br><br>Check the full list <a href="https://api-docs.uniswap.org/guides/supported_chains">here</a></td><td></td></tr><tr><td>UniswapX</td><td>The latest version of Uniswap’s swap protocol focused on efficient routing, improved UX, and better rates.</td><td>Ethereum Mainnet, Arbitrum, Base and Unichain<br><br>Check the full list <a href="https://api-docs.uniswap.org/guides/supported_chains">here</a></td><td></td></tr></tbody></table>

### Flow Overview

1. **Request a Quote**: Retrieve estimated output amounts for a given swap (input token and amount, output token, provider and slippage tolerance).
2. **Submit the swap intent:** Submit a request to Swap, based on the quoteId
3. **Approve policies:** If using Wallet:Sign policies, review the transactions and approve them, due to the nature of a Swap transaction, you might be required to approve up to 4 signatures/transactions.
4. **Track Status**: Monitor the Swap execution.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/integrations/swaps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
